> [!NOTE]  
> In diesem Repository befinden sich die Implementierung des Management und der Agenten-Plattform. Sowie Skripte zur Erstellung der Docker-Images.

> [!WARNING]
> Um die Plattform zu benutzen, bitte das [Agent-Template](https://git.chai.uni-hamburg.de/UMS-Agenten/Agent-Template) benutzen!

# Agenten-Plattform

## Management
Verzeichnisse insb.:
- `./utils/mgmt/` Docker container configs
- `./ums/management/` Python source
- `./web/` Jinja templates and web root
- `./build-mgmt.sh` Container build script


## Basic Agent
Verzeichnisse insb.:
- `./utils/agent/` Docker container configs
- `./ums/agent/` Python source
- `./build-agent.sh` Container build script

## Development

### Run via Docker
- `docker compose up` 

### CLI Examples
- Requests to management
	- `docker compose exec management python -m ums.example` (runs file `ums/example/__main__.py`)
- Run single task in agent
	- `docker compose exec agent_all python -m ums.agent -h`

### VS Code Autocomplete 
(In VS Code)

- `python3 -m venv .` (only once)
- `source ./bin/activate`
- `pip install requests fastapi pdoc` (only once)
- Select Python from `./bin/python` in VS Code
