# Agenten Plattform
#
# (c) 2024 Magnus Bender
# 	Institute of Humanities-Centered Artificial Intelligence (CHAI)
# 	Universitaet Hamburg
# 	https://www.chai.uni-hamburg.de/~bender
#  
# source code released under the terms of GNU Public License Version 3
# https://www.gnu.org/licenses/gpl-3.0.txt

"""
The package `ums` contains the Agenten-Plattform, the implementations of the agents shall be created in the package `src`, see [Agent-Template](https://git.chai.uni-hamburg.de/UMS-Agenten/Agent-Template).

> Side note: The classes with comments may be useful when implementing the agents.
> The classes without comments may be safe to ignore and are (only) used internally.

- `ums.agent`
	- Contains the implementation of an agent for handling requests by the implementations in `src`.
	- Check for running single tasks without using management.
- `ums.example`
	- Contains a very simple examples for all types of agents.
	- See `ums.example.example`
- `ums.management`
	- Contains the implementation of the management.
	- Take a look at the web gui of the management, possibly at <http://localhost:8080/> or <http://localhost:8000/>
- `ums.utils`
	- Contains various utilities.
	- `ums.utils.const.SHARE_PATH` The path for shared files between all agents
	- `ums.utils.const.PERSIST_PATH` The path to store persistent data of an agent
	- `ums.utils.request.ManagementRequest` Run request to the management (only necessary in special cases, most requests done automatically by platform)
	- `ums.utils.schema` The schema (types) used in the files storing extracted data from plain data
	- `ums.utils.types` The types used in the communication between agent and management

"""